Name:           chirp
Version:        0.4.1
Release:        %mkrel 2
Summary:        A tool for programming radio equipment
Group:          Communications/Radio
License:        GPLv3+
URL:            http://chirp.danplanet.com/
Source0:        http://chirp.danplanet.com/download/%{version}/%{name}-%{version}.tar.gz
Patch0:         chirp-0.2.2-install.patch

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libxml2-python
BuildRequires:  python-serial

Requires:       libxml2-python
Requires:       python-serial
Requires:       python-suds

%description
CHIRP is an open-source tool for programming radio tranceivers.
It supports a large number of manufacturers and models, as well as providing
a way to interface with multiple data sources and formats.

%prep
%setup -q
%autopatch -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

cat>%{buildroot}%{_datadir}/applications/%{name}.desktop<<EOF
[Desktop Entry]
Name=Chirp
GenericName=chirp
Exec=chirpw
Icon=chirp
Terminal=false
Type=Application
Categories=Network;HamRadio;
Version=1.0
Comment=CHIRP Radio Programming Tool
EOF

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING
%{_bindir}/chirpw
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{python_sitelib}/%{name}/
%{python_sitelib}/chirpui/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.4.1-2.mga6
+ Revision: 950993
- Mageia 6 Mass Rebuild

* Sat Nov 29 2014 barjac <barjac> 0.4.1-1.mga5
+ Revision: 799811
+ rebuild (emptylog)

* Fri Nov 28 2014 barjac <barjac> 0.4.1-0.mga5
+ Revision: 799731
- new version 0.4.1
- fixes critical bug that could cause RX to fail on UV5-r series

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 746209
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-3.mga5
+ Revision: 726069
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 678378
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 barjac <barjac> 0.4.0-1.mga5
+ Revision: 659215
- new version
- tidy spec
- desktop file into spec
- import from Fedora with thanks


* Mon May 06 2013 Richard Shaw <hobbes1069@gmail.com> - 0.3.1-1
- Update to latest upstream release.

* Sat Feb 16 2013 Richard Shaw <hobbes1069@gmail.com> - 0.3.0-1
- Update to latest upstream release.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 04 2012 Richard Shaw <hobbes1069@gmail.com> - 0.2.2-1
- Update to latest upstream release.

* Sun Mar 18 2012 Richard Shaw <hobbes1069@gmail.com> - 0.2.0-1
- Update to latest upstream release.

* Sun Nov 20 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-5
- Add source for .desktop, per review

* Sun Nov 20 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-4
- Add source for patches, per review

* Sun Nov 20 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-3
- Submit for review

* Sat Nov 19 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-2
- Own unowned directories
- Add correct .desktop file
- Apply patch to move COPYING file to proper directory
- Add shebang patch removes shebang from unnecessary files

* Sat Nov 19 2011 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 0.1.12-1
- Initial Build and testing
